%define	major 1
%define libname	%mklibname ibverbs %{major}
%define develname %mklibname -d ibverbs

Summary:	A library for direct userspace use of RDMA (InfiniBand/iWARP) hardware
Name:		libibverbs
Version:	1.2.1
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2 or BSD
URL:		http://www.openfabrics.org/
Source0:	https://www.openfabrics.org/downloads/verbs/libibverbs-%{version}.tar.gz
Patch0:		0001-Revert-Fail-compiles-if-no-platform-specific-memory-.patch
BuildRequires:	libnl3-devel

%description
libibverbs is a library that allows userspace processes to use RDMA "verbs" as
described in the InfiniBand Architecture Specification and the RDMA Protocol
Verbs Specification. This includes direct hardware access from userspace to
InfiniBand/iWARP adapters (kernel bypass) for fast path operations. For this
library to be useful, a device-specific plug-in module should also be
installed.

%package -n	%{libname}
Summary:	A library for direct userspace use of RDMA (InfiniBand/iWARP) hardware
Group:          System/Libraries

%description -n	%{libname}
libibverbs is a library that allows userspace processes to use RDMA "verbs" as
described in the InfiniBand Architecture Specification and the RDMA Protocol
Verbs Specification. This includes direct hardware access from userspace to
InfiniBand/iWARP adapters (kernel bypass) for fast path operations. For this
library to be useful, a device-specific plug-in module should also be
installed.

This package contains the shared libibverbs library.

%package -n	%{develname}
Summary:	Static library and header files for the libibverbs library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libibverbs is a library that allows userspace processes to use RDMA "verbs" as
described in the InfiniBand Architecture Specification and the RDMA Protocol
Verbs Specification. This includes direct hardware access from userspace to
InfiniBand/iWARP adapters (kernel bypass) for fast path operations. For this
library to be useful, a device-specific plug-in module should also be
installed.

This package contains the static libibverbs library and its header files.

%package	utils
Summary:	Examples for the libibverbs library
Group:		System/Libraries
Requires:	%{libname} = %{version}

%description	utils
Useful libibverbs example programs such as ibv_devinfo, which displays
information about RDMA devices.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libibverbs*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files utils
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Sep 10 2016 daviddavid <daviddavid> 1.2.1-2.mga6
+ Revision: 1051372
- add patch from fedora to fix ARM build

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 1051327
- 1.2.1

* Mon Feb 08 2016 umeabot <umeabot> 1.1.8-4.mga6
+ Revision: 945109
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-3.mga5
+ Revision: 750097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-2.mga5
+ Revision: 681524
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 1.1.8-1.mga5
+ Revision: 623831
- New version: 1.1.8

* Sat Oct 19 2013 umeabot <umeabot> 1.1.7-2.mga4
+ Revision: 525704
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 sander85 <sander85> 1.1.7-1.mga4
+ Revision: 434185
- New version: 1.1.7

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 357465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 1.1.6-1.mga2
+ Revision: 199400
- new version 1.1.6
- fix file list
- new version 1.1.5

* Sun Apr 10 2011 ennael <ennael> 1.1.3-2.mga1
+ Revision: 82878
- clean spec file
- imported package libibverbs


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-2mdv2011.0
+ Revision: 609753
- rebuild

* Tue Apr 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.1.3-1mdv2010.1
+ Revision: 532288
- update to 1.1.3

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.2-2mdv2010.0
+ Revision: 429752
- rebuild

* Fri Sep 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2009.0
+ Revision: 284122
- import libibverbs


* Fri Sep 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2009.0
- initial Mandriva package
